# OgreMaterial.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreResource.h"`
`#include "OgreIteratorWrappers.h"`
`#include "OgreCommon.h"`
`#include "OgreColourValue.h"`
`#include "OgreBlendMode.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

class | Ogre::Material
| Class encapsulates rendering properties of an object. More...
class | Ogre::MaterialPtr
| Specialisation of SharedPtr to allow SharedPtr to be assigned to MaterialPtr. More...

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 14:26:50 2009